package net.pricefx.common.apibuilder.compensation;

import net.pricefx.common.api.HeaderPhase;
import net.pricefx.common.apibuilder.IdGenerator;
import net.pricefx.common.apibuilder.Invocations;
import net.pricefx.common.apibuilder.MethodInvocation;

import java.util.Map;

public class CompensationBuilders {

    public static CompensationBuilder newCompensationBuilder(IdGenerator idGenerator, Invocations<MethodInvocation> invocations, Map<String, Object> rebateAgreementView, HeaderPhase phase) {
        CompensationBuilder compensationBuilder = new CompensationBuilder(idGenerator.getNext(), "CompensationBuilder", idGenerator, invocations, rebateAgreementView, phase);
        return compensationBuilder;
    }
}
