package net.pricefx.server.dto.calculation;

import net.pricefx.common.api.CalculationResultType;

public class ResultFlexChart implements ComplexCalculationResult {

    private static final long serialVersionUID = -6157954404068373997L;

    private String baseTemplateToUse;

	private Object flexChart;

	public ResultFlexChart() {
	}

	public ResultFlexChart(Object flexChart) {
		this.flexChart = flexChart;
	}

	public ResultFlexChart(String baseTemplateToUse, Object flexChart) {
		this.baseTemplateToUse = baseTemplateToUse;
		this.flexChart = flexChart;
	}

	public String getBaseTemplateToUse() {
		return baseTemplateToUse;
	}

	public void setBaseTemplateToUse(String template) {
		this.baseTemplateToUse = template;
	}

	public Object getFlexChart() {
		return flexChart;
	}

	public void setFlexChart(Object flexChart) {
		this.flexChart = flexChart;
	}

	@Override
	public String getResultType() {
		return CalculationResultType.FLEXCHART.name();
	}
}